Package org.eclipse.wst.xml.xpath.ui

## org.eclipse.wst.xml.xpath.ui
Class XPathViewPlugin

    public class XPathViewPlugin
    extends AbstractUIPlugin

## Constructor Summary

`XPathViewPlugin()`

## Method Summary

`public static org.eclipse.wst.xml.xpath.ui.XPathViewPlugin` | `getDefault()` Returns the shared instance.
`public static java.lang.String` | `getPluginId()`
`public java.util.ResourceBundle` | `getResourceBundle()` Returns the plugin's resource bundle
`public static java.lang.String` | `getResourceString(java.lang.String key)` Returns the string from the plugin's resource bundle, or 'key' if not found.
`public ContextTypeRegistry` | `getXPathTemplateContextRegistry()` Returns the template context type registry for xpath
`public TemplateStore` | `getXPathTemplateStore()` Returns the template store for the xpath templates.
`public void` | `info(java.lang.String message)`
`protected void` | `initializeImageRegistry(ImageRegistry reg)`
`public void` | `log(java.lang.String message , java.lang.Throwable ex)`
`public void` | `log(java.lang.Throwable ex)`
`public void` | `partActivated(IWorkbenchPartReference partRef)`
`public void` | `partBroughtToTop(IWorkbenchPartReference partRef)`
`public void` | `partClosed(IWorkbenchPartReference partRef)`
`public void` | `partDeactivated(IWorkbenchPartReference partRef)`
`public void` | `partHidden(IWorkbenchPartReference partRef)`
`public void` | `partInputChanged(IWorkbenchPartReference partRef)`
`public void` | `partOpened(IWorkbenchPartReference partRef)`
`public void` | `partVisible(IWorkbenchPartReference partRef)`
`public void` | `start(BundleContext context)` This method is called upon plug-in activation
`public void` | `stop(BundleContext context)` This method is called when the plug-in is stopped
`public static void` | `throwCoreException(java.lang.String message , java.lang.Throwable t)`
`protected void` | `updateXPathNavigatorView(IWorkbenchPartReference partRef)`
`public void` | `warn(java.lang.String message)`

## Constructor Detail

## XPathViewPlugin

`public XPathViewPlugin()`

The constructor.

## Methods Detail

## getDefault

`public org.eclipse.wst.xml.xpath.ui.XPathViewPlugin getDefault()`

Returns the shared instance.

### Returns

`org.eclipse.wst.xml.xpath.ui.XPathViewPlugin`

## getPluginId

`public java.lang.String getPluginId()`

### Returns

`java.lang.String`

## getResourceBundle

`public java.util.ResourceBundle getResourceBundle()`

Returns the plugin's resource bundle

### Returns

`java.util.ResourceBundle`

## getResourceString

`public java.lang.String getResourceString(java.lang.String key)`

Returns the string from the plugin's resource bundle, or 'key' if not found.

### Parameters

`key`

### Returns

`java.lang.String`

## getXPathTemplateContextRegistry

`public ContextTypeRegistry getXPathTemplateContextRegistry()`

Returns the template context type registry for xpath

### Returns

`ContextTypeRegistry` - the template context type registry for xpath

## getXPathTemplateStore

`public TemplateStore getXPathTemplateStore()`

Returns the template store for the xpath templates.

### Returns

`TemplateStore` - the template store for the xpath templates

## info

`public void info(java.lang.String message)`

### Parameters

`message`

## initializeImageRegistry

`protected void initializeImageRegistry(ImageRegistry reg)`

### Parameters

`reg`

## log

`public void log(java.lang.String message , java.lang.Throwable ex)`

### Parameters

`message`

`ex`

## log

`public void log(java.lang.Throwable ex)`

### Parameters

`ex`

## partActivated

`public void partActivated(IWorkbenchPartReference partRef)`

### Parameters

`partRef`

## partBroughtToTop

`public void partBroughtToTop(IWorkbenchPartReference partRef)`

### Parameters

`partRef`

## partClosed

`public void partClosed(IWorkbenchPartReference partRef)`

### Parameters

`partRef`

## partDeactivated

`public void partDeactivated(IWorkbenchPartReference partRef)`

### Parameters

`partRef`

## partHidden

`public void partHidden(IWorkbenchPartReference partRef)`

### Parameters

`partRef`

## partInputChanged

`public void partInputChanged(IWorkbenchPartReference partRef)`

### Parameters

`partRef`

## partOpened

`public void partOpened(IWorkbenchPartReference partRef)`

### Parameters

`partRef`

## partVisible

`public void partVisible(IWorkbenchPartReference partRef)`

### Parameters

`partRef`

## start

`public void start(BundleContext context)`

This method is called upon plug-in activation

### Parameters

`context`

### Throws:

`java.lang.Exception`

## stop

`public void stop(BundleContext context)`

This method is called when the plug-in is stopped

### Parameters

`context`

### Throws:

`java.lang.Exception`

## throwCoreException

`public void throwCoreException(java.lang.String message , java.lang.Throwable t)`

### Parameters

`message`

`t`

### Throws:

`CoreException`

## updateXPathNavigatorView

`protected void updateXPathNavigatorView(IWorkbenchPartReference partRef)`

### Parameters

`partRef`

## warn

`public void warn(java.lang.String message)`

### Parameters

`message`